#
# spec file for package php5-smarty3
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-smarty3
Version:        3.1.33
Release:        5.5.1
Summary:        Template/Presentation Framework for PHP
License:        LGPL-3.0-or-later
Group:          Productivity/Networking/Web/Servers
Url:            http://www.smarty.net
Source0:        https://github.com/smarty-php/smarty/archive/v%{version}.tar.gz#/smarty-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  php >= 5.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Requires:       php >= 5.2
Requires(post):   update-alternatives
Requires(postun): update-alternatives

# When a version is requried explicitly
Provides:       Smarty3 = %{version}
Provides:       php-Smarty3 = %{version}
Provides:       php-smarty3 = %{version}
Provides:       php5-Smarty3 = %{version}

# When any Smarty fulfills the requirements
Provides:       Smarty = %{version}
Provides:       php-Smarty = %{version}
Provides:       php-smarty = %{version}
Provides:       php5-Smarty = %{version}
Provides:       php5-smarty = %{version}

%description
Although Smarty is known as a "Template Engine", it would be more accurately
described as a "Template/Presentation Framework." That is, it provides the
programmer and template designer with a wealth of tools to automate tasks
commonly dealt with at the presentation layer of an application. I stress the
word Framework because Smarty is not a simple tag-replacing template engine.
Although it can be used for such a simple purpose, its focus is on quick and
painless development and deployment of your application, while maintaining
high-performance, scalability, security and future growth.

%package doc
Summary:        Docs for Smarty
Group:          Productivity/Networking/Web/Servers

%description doc
Documentation for Smarty.
Although Smarty is known as a "Template Engine", it would be more accurately
described as a "Template/Presentation Framework." That is, it provides the
programmer and template designer with a wealth of tools to automate tasks
commonly dealt with at the presentation layer of an application. I stress the
word Framework because Smarty is not a simple tag-replacing template engine.
Although it can be used for such a simple purpose, its focus is on quick and
painless development and deployment of your application, while maintaining
high-performance, scalability, security and future growth.

%prep
%setup -qn smarty-%{version}
iconv -f iso8859-1 -t utf-8 NEWS > NEWS.conv && mv -f NEWS.conv NEWS
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog

%build

%install
install -d %{buildroot}%{_datadir}/php5/Smarty3
cp -a libs/* %{buildroot}%{_datadir}/php5/Smarty3/

# create a dummy target for /etc/alternatives/Smarty
install -d %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/Smarty
ln -sf %{_sysconfdir}/alternatives/Smarty %{buildroot}%{_datadir}/php5/Smarty

%post
%{_sbindir}/update-alternatives --install %{_datadir}/php5/Smarty Smarty %{_datadir}/php5/Smarty3 3

%postun
if [ "$1" = 0 ]; then
    %{_sbindir}/update-alternatives --remove Smarty %{_datadir}/php5/Smarty3
fi

%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_datadir}/php5/Smarty3
%{_datadir}/php5/Smarty3/*
# update-alternatives
%ghost %{_sysconfdir}/alternatives/Smarty
%{_datadir}/php5/Smarty

%files doc
%defattr(-,root,root,-)
%doc change_log.txt demo/ README
%doc SMARTY_2_BC_NOTES.txt SMARTY_3.0_BC_NOTES.txt SMARTY_3.1_NOTES.txt

%changelog
* Tue Sep 18 2018 Karol Babioch <kbabioch@suse.com>
- Update to version 3.1.33
  * Mostly bug fixes
  * Fix for CVE-2018-16381 (bsc#1108741)
* Wed Sep 16 2015 aj@ajaissle.de
- New upstream release 3.1.27
  * Mostly bug fixes
- Changes of 3.1.25:
  * Mostly bug fixes
- Changes of 3.1.24:
  * New features, bug fixes and improvements
  * Most notably, compiling speed has been improved by 30-40%%
* Wed Mar 25 2015 aj@ajaissle.de
- Use update-alternatives to create symlinks to %%phpdir/Smarty
- Adjust spec to match php5-smarty2
- Added -doc sub package
* Thu Feb 19 2015 jweberhofer@weberhofer.at
- Moved into Smarty3 directory
- Changed provides sections not to conflict with Smarty2
* Fri Jan  9 2015 aj@ajaissle.de
- License changed to LGPL 3.0 with Smarty 3
* Tue Dec  9 2014 aj@ajaissle.de
- New upstream release 3.1.21 (2014-10-18)
  - various bugfixes
  - composer moved to github
  - add COMPOSER_RELEASE_NOTES
  - improvement cache is_file(file_exists) results of loadPlugin() to avoid unnecessary calls during compilation (Issue 201}
  - enhancement remove BOM automatically from template source (topic 25161)
* Tue May 13 2014 aj@ajaissle.de
- New upstream release 3.1.18 (2014-04-07)
  - bugfix template inheritance fail when using custom resource after patch of 8.3.2014 (Issue 187)
  - bugfix update of composer file (Issue 168 and 184)
  - bugfix default date format leads to extra spaces when displaying dates with single digit days (Issue 165)
  - bugfix Smart_Resource_Custom should not lowercase the resource name (Issue 183)
  - bugfix using a {foreach} property like @iteration could fail when used in inheritance parent templates (Issue 182)
  - bugfix $smarty->auto_literal and mbsting.func_overload 2, 6 or 7 did fail (forum topic 24899)
  - bugfix Smarty_CacheResource_Keyvaluestore did use different keys on read/writes and clearCache() calls (Issue 169)
  - bugfix clearXxx() change of 27.1.2014 did not work when specifing cache_id or compile_id  (forum topic 24868 and 24867)
* Tue Mar 25 2014 aj@ajaissle.de
- New upstream release 3.1.17
- Spec cleanup
- Changes of 3.1.17
  - bugfix relative file path {include} within {block} of child templates did throw exception on first call (Issue 177)
  - bugfix Smarty failed when executing PHP on HHVM (Hip Hop 2.4) because uniqid('',true) does return string with ',' (forum topic 20343)
  - bugfix a '//' or '\\' in template_dir path could produce wrong path on relative filepath in {include} (Issue 175)
  - bugfix shared.literal_compiler_param.php did throw an exception when literal did contain a '-' (smarty-developers group)
  - bugfix $smarty->debugging = true; did show the variable of the $smarty object not the variables used in display() call (forum topic 24764)
  - bugfix clearCompiledTemplate(), clearAll() and clear() should use realpath to avoid possible exception from RecursiveDirectoryIterator (Issue 171)
  - bugfix undo block nesting checks for {nocache} for reasons like forum topic 23280 (forum topic 24762)
  - bugfix the compiler did fail when using template inheritance and recursive {include} (smarty-developers group)
  - bugfix "* }" (spaces before right delimiter) was interpreted by mistake as comment end tag (Issue 170)
  - internals content cache should be clear when updating cache file
  - bugfix Smarty_CacheResource_Custom did not handle template resource type specifications on clearCache() calls (Issue 169)
  - bugfix SmartyBC.class.php should use require_once to load Smarty.class.php (forum topic 24683)
- Changes of 3.1.16
  - bugfix {include} with {block} tag handling (forum topic 24599, 24594, 24682) (Issue 161)
  - enhancement additional debug output at $smarty->_parserdebug = true;
  - bugfix too restrictive handling of {include} within {block} tags. 3.1.15 did throw errors where 3.1.14 did not (forum topic 24599)
  - bugfix compiler could fail if PHP mbstring.func_overload is enabled (Issue 164)
  - bugfix variable resource name at custom resource plugin did not work within {block} tags (Issue 163)
  - bugfix notice "Trying to get property of non-object" removed (Issue 163)
  - bugfix correction of modifier capitalize fix from 3.10.2013 (issue 159)
  - bugfix multiple {block}s with same name in parent did not work (forum topic 24631)
  - bugfix a variable file name at {extends} tag did fail (forum topic 24618)
  - bugfix yesterdays fix could result in an undefined variable
  - bugfix variable names on {include} in template inheritance did unextepted error message (forum topic 24594) (Issue 161)
  - bugfix relative includes with same name like {include './foo.tpl'} from different folder failed (forum topic 24590)(Issue 161)
  - bugfix variable file names at {extends} had been disbabled by mistake with the rewrite of template inheritance of 24.08.2013 (forum topic 24585)
  - bugfix loops using modifier capitalize did eat up memory (issue 159)
* Fri Nov  8 2013 aj@ajaissle.de
- New upstream release 3.1.15
  * See change_log.txt or http://code.google.com/p/smarty-php/source/browse/trunk/distribution/change_log.txt
* Wed Jun 12 2013 aj@ajaissle.de
- Changed Package Group from 'Develompent/Other' into 'Productivity/Networking/Web/Servers'
* Tue Jan 29 2013 aj@ajaissle.de
- Added 'Provides'
* Sun Dec  9 2012 Aeneas Jaissle <jaissle@sewikom.de> - 3.1.12-1
- New upstream version
* Thu Apr 12 2012 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 3.1.7-1
- New upstream version
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
* Wed Feb  9 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Sun Oct 11 2009 Christopher Stone <chris.stone@gmail.com> 2.6.26-1
- Upstream sync
- Update %%%%source0 and %%%%URL
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Mon May 25 2009 Christopher Stone <chris.stone@gmail.com> 2.6.25-1
- Upstream sync
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sun Nov  2 2008 Christopher Stone <chris.stone@gmail.com> 2.6.20-2
- Add security patch (bz #469648)
- Add RHL dist tag conditional for Requires
* Mon Oct 13 2008 Christopher Stone <chris.stone@gmail.com> 2.6.20-1
- Upstream sync
* Wed Feb 20 2008 Christopher Stone <chris.stone@gmail.com> 2.6.19-1
- Upstream sync
- Update %%%%license
- Fix file encoding
* Sun Apr 29 2007 Christopher Stone <chris.stone@gmail.com> 2.6.18-1
- Upstream sync
* Wed Feb 21 2007 Christopher Stone <chris.stone@gmail.com> 2.6.16-2
- Minor spec file changes/cleanups
* Fri Feb  9 2007 Orion Poplawski <orion@cora.nwra.com> 2.6.16-1
- Update to 2.6.16
- Install in /usr/share/php/Smarty
- Update php version requirement
* Tue May 16 2006 Orion Poplawski <orion@cora.nwra.com> 2.6.13-1
- Update to 2.6.13
* Tue Nov  1 2005 Orion Poplawski <orion@cora.nwra.com> 2.6.10-2
- Fix Source0 URL.
* Thu Oct 13 2005 Orion Poplawski <orion@cora.nwra.com> 2.6.10-1
- Initial Fedora Extras version
